org.eclipse.gef.layout.algorithms

## Enum SugiyamaLayoutAlgorithm.Direction

- java.lang.Object
- - java.lang.Enum<SugiyamaLayoutAlgorithm.Direction>
  - - org.eclipse.gef.layout.algorithms.SugiyamaLayoutAlgorithm.Direction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SugiyamaLayoutAlgorithm.Direction>

Enclosing class:
  SugiyamaLayoutAlgorithm

    public static enum SugiyamaLayoutAlgorithm.Direction
    extends java.lang.Enum<SugiyamaLayoutAlgorithm.Direction>

Specifies the direction for the `SugiyamaLayoutAlgorithm`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HORIZONTAL` Horizontal direction, i.e. left to right.
`VERTICAL` Vertical direction, i.e. top to bottom.

### Method Summary

All Methods Static Methods Concrete Methods
`static SugiyamaLayoutAlgorithm.Direction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SugiyamaLayoutAlgorithm.Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HORIZONTAL

    public static final SugiyamaLayoutAlgorithm.Direction HORIZONTAL

Horizontal direction, i.e. left to right.

#### VERTICAL

    public static final SugiyamaLayoutAlgorithm.Direction VERTICAL

Vertical direction, i.e. top to bottom.

### Method Detail

#### values

    public static SugiyamaLayoutAlgorithm.Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SugiyamaLayoutAlgorithm.Direction c : SugiyamaLayoutAlgorithm.Direction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SugiyamaLayoutAlgorithm.Direction valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null